public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-libs/gavl/, media-libs/gavl/files/
@ 2015-10-10  8:41 Michał Górny
  0 siblings, 0 replies; 3+ messages in thread
From: Michał Górny @ 2015-10-10  8:41 UTC (permalink / raw
  To: gentoo-commits

commit:     d7673d38a8d5e8cf7c66f2166506b055f3231ca5
Author:     Bertrand Jacquin <bertrand <AT> jacquin <DOT> bzh>
AuthorDate: Sat Jun  7 11:48:10 2014 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Oct  9 21:50:24 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7673d38

media-libs/gavl: Add patch for x32, bug #472288

Package-Manager: portage-2.2.20.1

 media-libs/gavl/files/1.4.0-x32.diff | 29 +++++++++++++++++++++++++++++
 media-libs/gavl/gavl-1.4.0-r1.ebuild |  2 ++
 2 files changed, 31 insertions(+)

diff --git a/media-libs/gavl/files/1.4.0-x32.diff b/media-libs/gavl/files/1.4.0-x32.diff
new file mode 100644
index 0000000..4b510a5
--- /dev/null
+++ b/media-libs/gavl/files/1.4.0-x32.diff
@@ -0,0 +1,29 @@
+------------------------------------------------------------------------
+r4209 | gmerlin | 2014-06-02 16:38:33 +0200 (Mon, 02 Jun 2014) | 2 lines
+
+* Compilation fix
+
+
+Index: gavl/cputest.c
+===================================================================
+--- gavl/cputest.c	(revision 4208)
++++ gavl/cputest.c	(revision 4209)
+@@ -69,6 +69,8 @@
+      int rval = 0;
+     int eax, ebx, ecx, edx;
+     int max_std_level, max_ext_level, std_caps=0, ext_caps=0;
++
++#ifndef ARCH_X86_64
+     long a, c;
+ 
+     __asm__ __volatile__ (
+@@ -94,6 +96,7 @@
+ 
+     if (a == c)
+         return 0; /* CPUID not supported */
++#endif // !ARCH_X86_64
+ 
+     cpuid(0, max_std_level, ebx, ecx, edx);
+ 
+
+------------------------------------------------------------------------

diff --git a/media-libs/gavl/gavl-1.4.0-r1.ebuild b/media-libs/gavl/gavl-1.4.0-r1.ebuild
index a6674fa..ba89158 100644
--- a/media-libs/gavl/gavl-1.4.0-r1.ebuild
+++ b/media-libs/gavl/gavl-1.4.0-r1.ebuild
@@ -23,6 +23,8 @@ DEPEND="doc? ( app-doc/doxygen )
 DOCS=( AUTHORS README TODO )
 
 src_prepare() {
+	epatch "${FILESDIR}/${PV}-x32.diff"
+
 	# AC_CONFIG_HEADERS, bug #467736
 	sed -i \
 		-e 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:' \


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/gavl/, media-libs/gavl/files/
@ 2021-01-23 21:13 Andreas Sturmlechner
  0 siblings, 0 replies; 3+ messages in thread
From: Andreas Sturmlechner @ 2021-01-23 21:13 UTC (permalink / raw
  To: gentoo-commits

commit:     ef080603e51ca862a1a46645a5caa28d65860d59
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 23 20:54:44 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Jan 23 21:13:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ef080603

media-libs/gavl: EAPI-7++, autotools-multilib--

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-libs/gavl/files/1.4.0-x32.diff |  4 +--
 media-libs/gavl/gavl-1.4.0-r2.ebuild | 65 ++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+), 2 deletions(-)

diff --git a/media-libs/gavl/files/1.4.0-x32.diff b/media-libs/gavl/files/1.4.0-x32.diff
index 4b510a55069..5c742779cdb 100644
--- a/media-libs/gavl/files/1.4.0-x32.diff
+++ b/media-libs/gavl/files/1.4.0-x32.diff
@@ -6,8 +6,8 @@ r4209 | gmerlin | 2014-06-02 16:38:33 +0200 (Mon, 02 Jun 2014) | 2 lines
 
 Index: gavl/cputest.c
 ===================================================================
---- gavl/cputest.c	(revision 4208)
-+++ gavl/cputest.c	(revision 4209)
+--- a/gavl/cputest.c	(revision 4208)
++++ b/gavl/cputest.c	(revision 4209)
 @@ -69,6 +69,8 @@
       int rval = 0;
      int eax, ebx, ecx, edx;

diff --git a/media-libs/gavl/gavl-1.4.0-r2.ebuild b/media-libs/gavl/gavl-1.4.0-r2.ebuild
new file mode 100644
index 00000000000..c314b13cff4
--- /dev/null
+++ b/media-libs/gavl/gavl-1.4.0-r2.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="Library for handling uncompressed audio and video data"
+HOMEPAGE="http://gmerlin.sourceforge.net"
+SRC_URI="mirror://sourceforge/gmerlin/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE="doc"
+
+BDEPEND="doc? ( app-doc/doxygen )"
+
+PATCHES=( "${FILESDIR}/${PV}-x32.diff" )
+
+src_prepare() {
+	default
+
+	# AC_CONFIG_HEADERS, bug #467736
+	sed -i \
+		-e 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:' \
+		-e 's:-mfpmath=387::g' \
+		-e 's:-O3 -funroll-all-loops -fomit-frame-pointer -ffast-math::g' \
+		-e '/LDFLAGS=/d' \
+		configure.ac || die
+
+	export AT_M4DIR="m4"
+	eautoreconf
+}
+
+multilib_src_configure() {
+	# --disable-libpng because it's only used for tests
+	local myeconfargs=(
+		--without-doxygen # does nothing.
+		--disable-libpng
+		--disable-static
+		--without-cpuflags
+	)
+	ECONF_SOURCE=${S} econf "${myeconfargs[@]}"
+}
+
+multilib_src_compile() {
+	emake
+	if multilib_is_native_abi && use doc; then
+		doxygen doc/Doxyfile
+	fi
+}
+
+multilib_src_install() {
+	emake DESTDIR="${D}" install
+	if multilib_is_native_abi && use doc; then
+		docinto html
+		dodoc -r apiref/.
+	fi
+}
+
+multilib_src_install_all() {
+	einstalldocs
+	find "${ED}" -type f -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-libs/gavl/, media-libs/gavl/files/
@ 2022-06-20 23:15 Sam James
  0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2022-06-20 23:15 UTC (permalink / raw
  To: gentoo-commits

commit:     2b95eed1d534159d7d78e285ceb44721884d5b77
Author:     Alfred Persson Forsberg <cat <AT> catcream <DOT> org>
AuthorDate: Mon Jun 20 20:36:12 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jun 20 23:12:45 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b95eed1

media-libs/gavl: fix building with musl

musl only defines CPU_SET and others iff _GNU_SOURCE is defined, this
patch adds that.

Closes: https://bugs.gentoo.org/715780
Signed-off-by: Alfred Persson Forsberg <cat <AT> catcream.org>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/gavl/files/1.4.0-gnu_source.patch       | 22 ++++++++++++++++++++++
 .../gavl/files/{1.4.0-x32.diff => 1.4.0-x32.patch} |  0
 media-libs/gavl/gavl-1.4.0-r2.ebuild               |  7 +++++--
 3 files changed, 27 insertions(+), 2 deletions(-)

diff --git a/media-libs/gavl/files/1.4.0-gnu_source.patch b/media-libs/gavl/files/1.4.0-gnu_source.patch
new file mode 100644
index 000000000000..bdd48d5352cd
--- /dev/null
+++ b/media-libs/gavl/files/1.4.0-gnu_source.patch
@@ -0,0 +1,22 @@
+https://bugs.gentoo.org/715780
+
+musl #ifdef:s most of the defines in sched.h with _GNU_SOURCE
+https://elixir.bootlin.com/musl/latest/source/include/sched.h#L13.
+
+---
+
+diff --git a/src/benchmark.c b/src/benchmark.c
+index eb96b2a..18fc2d2 100644
+--- a/src/benchmark.c
++++ b/src/benchmark.c
+@@ -40,6 +40,7 @@
+ #endif
+ 
+ #ifdef HAVE_SCHED_SETAFFINITY
++#define _GNU_SOURCE
+ #define __USE_GNU
+ #include <sched.h>
+ #endif
+-- 
+2.35.1
+

diff --git a/media-libs/gavl/files/1.4.0-x32.diff b/media-libs/gavl/files/1.4.0-x32.patch
similarity index 100%
rename from media-libs/gavl/files/1.4.0-x32.diff
rename to media-libs/gavl/files/1.4.0-x32.patch

diff --git a/media-libs/gavl/gavl-1.4.0-r2.ebuild b/media-libs/gavl/gavl-1.4.0-r2.ebuild
index 660445f8eb00..7fdebe1f45bf 100644
--- a/media-libs/gavl/gavl-1.4.0-r2.ebuild
+++ b/media-libs/gavl/gavl-1.4.0-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -16,7 +16,10 @@ IUSE="doc"
 
 BDEPEND="doc? ( app-doc/doxygen )"
 
-PATCHES=( "${FILESDIR}/${PV}-x32.diff" )
+PATCHES=(
+	"${FILESDIR}/${PV}-x32.patch"
+	"${FILESDIR}/${PV}-gnu_source.patch"
+)
 
 src_prepare() {
 	default


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2022-06-20 23:15 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-10-10  8:41 [gentoo-commits] repo/gentoo:master commit in: media-libs/gavl/, media-libs/gavl/files/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2021-01-23 21:13 Andreas Sturmlechner
2022-06-20 23:15 Sam James

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox